// Created by ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class CasketNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new CasketNAddonDeed();
			}
		}

		[ Constructable ]
		public CasketNAddon()
		{
			AddComponent( new AddonComponent( 7219 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 7218 ), 0, -1, 0 );
			AddComponent( new AddonComponent( 7217 ), 1, -1, 0 );
			AddComponent( new AddonComponent( 7216 ), 1, 0, 0 );
			AddComponent( new AddonComponent( 7215 ), 1, 1, 0 );
			AddComponent( new AddonComponent( 7220 ), 0, 1, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7216 );
			AddComponent( ac, 1, 0, 0 );
			ac = new AddonComponent( 7217 );
			AddComponent( ac, 1, -1, 0 );
			ac = new AddonComponent( 7218 );
			AddComponent( ac, 0, -1, 0 );
			ac = new AddonComponent( 7219 );
			AddComponent( ac, 0, 0, 0 );

		}

		public CasketNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class CasketNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new CasketNAddon();
			}
		}

		[Constructable]
		public CasketNAddonDeed()
		{
			Name = "CasketN";
         Hue = 2406;
		}

		public CasketNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}